execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveL] run give @a[scores={yourTurn=1}] potion[consumable={consume_seconds:0.6,animation:"drink",sound:"block.snow.step",has_consume_particles:false,on_consume_effects:[{type:"minecraft:apply_effects",effects:[{id:"minecraft:luck",amplifier:6,duration:20,show_particles:0b,show_icon:0b}]}]},custom_name='{"color":"#FF0033","italic":false,"text":"Move Left (←)"}',hide_additional_tooltip={},potion_contents={custom_color:16711884}] 1
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveU] run give @a[scores={yourTurn=1}] potion[consumable={consume_seconds:0.6,animation:"drink",sound:"block.snow.step",has_consume_particles:false,on_consume_effects:[{type:"minecraft:apply_effects",effects:[{id:"minecraft:luck",amplifier:5,duration:20,show_particles:0b,show_icon:0b}]}]},custom_name='{"color":"#00AAFF","italic":false,"text":"Move Up (↑)"}',hide_additional_tooltip={},potion_contents={custom_color:43775}] 1
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveD] run give @a[scores={yourTurn=1}] potion[consumable={consume_seconds:0.6,animation:"drink",sound:"block.snow.step",has_consume_particles:false,on_consume_effects:[{type:"minecraft:apply_effects",effects:[{id:"minecraft:luck",amplifier:7,duration:20,show_particles:0b,show_icon:0b}]}]},custom_name='{"color":"#33FF00","italic":false,"text":"Move Down (↓)"}',hide_additional_tooltip={},potion_contents={custom_color:7864064}] 1
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveR] run give @a[scores={yourTurn=1}] potion[consumable={consume_seconds:0.6,animation:"drink",sound:"block.snow.step",has_consume_particles:false,on_consume_effects:[{type:"minecraft:apply_effects",effects:[{id:"minecraft:luck",amplifier:4,duration:20,show_particles:0b,show_icon:0b}]}]},custom_name='{"color":"#FFEE00","italic":false,"text":"Move Right (→)"}',hide_additional_tooltip={},potion_contents={custom_color:16772608}] 1
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveU,limit=1] at @s run summon text_display ~ ~0.01 ~-2 {billboard:"fixed",see_through:0b,Rotation:[0F,-90F],Tags:["temp","tempMoveChoiceVisual"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.06f,-0.5f,0f],scale:[4f,4f,4f]},text:'{"bold":true,"color":"#00AAFF","text":"↑"}',background:2137417318}
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveL,limit=1] at @s run summon text_display ~-2 ~0.01 ~ {billboard:"fixed",see_through:0b,Rotation:[-90F,-90F],Tags:["temp","tempMoveChoiceVisual"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.06f,-0.5f,0f],scale:[4f,4f,4f]},text:'{"bold":true,"color":"#FF0033","text":"↑"}',background:2137417318}
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveR,limit=1] at @s run summon text_display ~2 ~0.01 ~ {billboard:"fixed",see_through:0b,Rotation:[90F,-90F],Tags:["temp","tempMoveChoiceVisual"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.06f,-0.5f,0f],scale:[4f,4f,4f]},text:'{"bold":true,"color":"#FFEE00","text":"↑"}',background:2137417318}
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveD,limit=1] at @s run summon text_display ~ ~0.01 ~2 {billboard:"fixed",see_through:0b,Rotation:[180F,-90F],Tags:["temp","tempMoveChoiceVisual"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.06f,-0.5f,0f],scale:[4f,4f,4f]},text:'{"bold":true,"color":"#33FF00","text":"↑"}',background:2137417318}
execute as @a[scores={yourTurn=1}] at @s run playsound minecraft:block.note_block.xylophone master @s ~ ~ ~ 0.6 1
scoreboard players operation MrKheese functionTimer = @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] playerRoll
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveL,limit=1] at @s positioned ~-4 ~ ~ run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisL
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveU,limit=1] at @s positioned ~ ~ ~-4 run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisU
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveD,limit=1] at @s positioned ~ ~ ~4 run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisD
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,tag=canMoveR,limit=1] at @s positioned ~4 ~ ~ run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisR
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] at @s run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisOldL
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] at @s run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisOldU
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] at @s run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisOldD
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] at @s run tag @n[type=text_display,tag=property,distance=..1,tag=!unselectable] add spaceMoveVisOldR
function fortune:piece_move_choice_vis