#
# End Turn
#
scoreboard players set @a yourTurn 0
tag @e[type=armor_stand,tag=yourTurn] remove yourTurn
scoreboard players set @e[type=text_display,tag=stock] stockSoldThisTurn 0
execute as @e[tag=pieceVisual] run attribute @s minecraft:scale modifier remove minecraft:yourturnmod
#
# Determine Next Turn
#
scoreboard players add MrKheese gamePlayerTurn 1
execute if score MrKheese playerCount matches 2 if score MrKheese gamePlayerTurn matches 3.. run scoreboard players set MrKheese gamePlayerTurn 1
execute if score MrKheese playerCount matches 3 if score MrKheese gamePlayerTurn matches 4.. run scoreboard players set MrKheese gamePlayerTurn 1
execute if score MrKheese playerCount matches 4 if score MrKheese gamePlayerTurn matches 5.. run scoreboard players set MrKheese gamePlayerTurn 1
execute if score MrKheese gamePlayerTurn matches 6.. run scoreboard players set MrKheese gamePlayerTurn 1
execute if score MrKheese gamePlayerTurn matches 1 run scoreboard players set @a[team=player1] yourTurn 1
execute if score MrKheese gamePlayerTurn matches 2 run scoreboard players set @a[team=player2] yourTurn 1
execute if score MrKheese gamePlayerTurn matches 3 run scoreboard players set @a[team=player3] yourTurn 1
execute if score MrKheese gamePlayerTurn matches 4 run scoreboard players set @a[team=player4] yourTurn 1
execute if score MrKheese gamePlayerTurn matches 5 run scoreboard players set @a[team=player5] yourTurn 1
execute if score MrKheese gamePlayerTurn matches 1 run tag @e[type=armor_stand,tag=playerPiece,team=player1] add yourTurn
execute if score MrKheese gamePlayerTurn matches 2 run tag @e[type=armor_stand,tag=playerPiece,team=player2] add yourTurn
execute if score MrKheese gamePlayerTurn matches 3 run tag @e[type=armor_stand,tag=playerPiece,team=player3] add yourTurn
execute if score MrKheese gamePlayerTurn matches 4 run tag @e[type=armor_stand,tag=playerPiece,team=player4] add yourTurn
execute if score MrKheese gamePlayerTurn matches 5 run tag @e[type=armor_stand,tag=playerPiece,team=player5] add yourTurn
#
# Reset Buffs (Turn Start)
#
execute if entity @e[type=armor_stand,tag=playerPiece,team=player1,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=1}] propPriceHike 100
execute if entity @e[type=armor_stand,tag=playerPiece,team=player2,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=2}] propPriceHike 100
execute if entity @e[type=armor_stand,tag=playerPiece,team=player3,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=3}] propPriceHike 100
execute if entity @e[type=armor_stand,tag=playerPiece,team=player4,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=4}] propPriceHike 100
execute if entity @e[type=armor_stand,tag=playerPiece,team=player5,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=5}] propPriceHike 100
execute if entity @e[type=armor_stand,tag=playerPiece,team=player1,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=1}] propRentOverride 0
execute if entity @e[type=armor_stand,tag=playerPiece,team=player2,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=2}] propRentOverride 0
execute if entity @e[type=armor_stand,tag=playerPiece,team=player3,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=3}] propRentOverride 0
execute if entity @e[type=armor_stand,tag=playerPiece,team=player4,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=4}] propRentOverride 0
execute if entity @e[type=armor_stand,tag=playerPiece,team=player5,tag=yourTurn] run scoreboard players set @e[type=text_display,tag=property,scores={propOwner=5}] propRentOverride 0
scoreboard players set @e[type=armor_stand,tag=playerPiece,tag=yourTurn] playerCommission 0
#
# Update Vacant Plots
#
execute if entity @e[type=text_display,tag=property,scores={spaceType=-1,propVacantType=4}] run function fortune:spaces_update_vacant_plot_tax
execute as @e[type=text_display,tag=property,scores={spaceType=-1,propVacantType=3}] run scoreboard players set @s propRent 0
#
# Visuals
#
execute if entity @e[type=armor_stand,tag=playerPiece,team=player1,tag=yourTurn] run attribute @e[tag=pieceVisual,team=player1,limit=1] minecraft:scale modifier add yourturnmod 1 add_multiplied_total
execute if entity @e[type=armor_stand,tag=playerPiece,team=player2,tag=yourTurn] run attribute @e[tag=pieceVisual,team=player2,limit=1] minecraft:scale modifier add yourturnmod 1 add_multiplied_total
execute if entity @e[type=armor_stand,tag=playerPiece,team=player3,tag=yourTurn] run attribute @e[tag=pieceVisual,team=player3,limit=1] minecraft:scale modifier add yourturnmod 1 add_multiplied_total
execute if entity @e[type=armor_stand,tag=playerPiece,team=player4,tag=yourTurn] run attribute @e[tag=pieceVisual,team=player4,limit=1] minecraft:scale modifier add yourturnmod 1 add_multiplied_total
execute if entity @e[type=armor_stand,tag=playerPiece,team=player5,tag=yourTurn] run attribute @e[tag=pieceVisual,team=player5,limit=1] minecraft:scale modifier add yourturnmod 1 add_multiplied_total
execute as @e[type=text_display,tag=scoreboardNetworth] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=false] replace
execute as @e[type=text_display,tag=scoreboardNetworth] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=false] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player1] as @e[type=text_display,tag=scoreboardNetworthP1] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player1] as @e[type=text_display,tag=scoreboardNetworthP1] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player2] as @e[type=text_display,tag=scoreboardNetworthP2] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player2] as @e[type=text_display,tag=scoreboardNetworthP2] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player3] as @e[type=text_display,tag=scoreboardNetworthP3] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player3] as @e[type=text_display,tag=scoreboardNetworthP3] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player4] as @e[type=text_display,tag=scoreboardNetworthP4] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player4] as @e[type=text_display,tag=scoreboardNetworthP4] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player5] as @e[type=text_display,tag=scoreboardNetworthP5] at @s run setblock ~ ~5 ~-0.5 redstone_lamp[lit=true] replace
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player5] as @e[type=text_display,tag=scoreboardNetworthP5] at @s run setblock ~ ~-13 ~-0.5 redstone_lamp[lit=true] replace
title @a[scores={yourTurn=1}] times 0t 58t 2t
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] if score @s playerNetworth >= MrKheese goalNetworth run title @a[scores={yourTurn=1}] subtitle {"bold":false,"color":"#FFFF55","shadow_color":-16711423,"text":"Return to the Bank to Win"}
execute as @e[type=armor_stand,tag=playerPiece,tag=yourTurn,limit=1] unless score @s playerNetworth >= MrKheese goalNetworth run title @a[scores={yourTurn=1}] subtitle [{"bold":false,"color":"#CCCCCC","shadow_color":-16711423,"text":"Goal Networth: "},{"bold":false,"color":"white","shadow_color":-16711423,"text":"$"},{"bold":true,"color":"white","score":{"name":"MrKheese","objective":"goalNetworth"}}]
title @a[scores={yourTurn=1}] title {"bold":true,"color":"#FFFFFF","shadow_color":-16711423,"text":"It's Your Turn"}
tellraw @a ""
tellraw @a [{"bold":false,"color":"white","text":"--- It's "},{"bold":true,"selector":"@p[scores={yourTurn=1}]"},{"bold":false,"color":"white","text":"'s Turn ---"}]
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player1] run effect give @e[tag=pieceVisual,team=player1] glowing 3 0 true
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player2] run effect give @e[tag=pieceVisual,team=player2] glowing 3 0 true
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player3] run effect give @e[tag=pieceVisual,team=player3] glowing 3 0 true
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player4] run effect give @e[tag=pieceVisual,team=player4] glowing 3 0 true
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,team=player5] run effect give @e[tag=pieceVisual,team=player5] glowing 3 0 true
function fortune:spaces_update_property
execute if entity @e[type=text_display,tag=property,scores={spaceType=-1}] run function fortune:spaces_display_vacant_plot_price
execute as @a[scores={yourTurn=1}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 0.6 1
schedule function fortune:game_next_turn_b 3t
schedule function fortune:game_next_turn_c 6t
schedule function fortune:game_next_turn_d 9t
#
# Give Options
#
function fortune:game_turn_options
#
# Spectator New Players
#
gamemode spectator @a[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,team=!spectator]
teleport @a[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,team=!spectator] 1000 110 0
team join spectator @a[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,team=!spectator]