#
# Reset Variables
#
scoreboard players set MrKheese constant100 100
scoreboard players set MrKheese constant80 80
scoreboard players set MrKheese constant75 75
scoreboard players set MrKheese constant10 10
scoreboard players set MrKheese constant5 5
scoreboard players set MrKheese constant3 3
scoreboard players set MrKheese constant2 2
scoreboard players set MrKheese constant-1 -1
scoreboard players set MrKheese constantRentMult1 20
scoreboard players set MrKheese constantRentMult2 25
scoreboard players set MrKheese constantRentMult3 50
scoreboard players set MrKheese constantRentMult4 95
scoreboard players set MrKheese constantRentMult51 20
scoreboard players set MrKheese constantRentMult52 25
scoreboard players set MrKheese constantRentMult53 40
scoreboard players set MrKheese constantRentMult54 65
scoreboard players set MrKheese constantRentMult55 120
scoreboard players set MrKheese constantRentMult61 20
scoreboard players set MrKheese constantRentMult62 25
scoreboard players set MrKheese constantRentMult63 40
scoreboard players set MrKheese constantRentMult64 55
scoreboard players set MrKheese constantRentMult65 85
scoreboard players set MrKheese constantRentMult66 135
scoreboard players set MrKheese constantPropValueStockMult 107
scoreboard players set MrKheese constantStockDivisor 100
scoreboard players set MrKheese constantStockFallPercent 9
scoreboard players set MrKheese actionDelay 0
scoreboard players set MrKheese actionDelayPause 0
scoreboard players set MrKheese gamePlayerTurn 0
scoreboard players set MrKheese functionTimer 0
scoreboard players set MrKheese flashTimer 0
scoreboard players set MrKheese modeInvest 0
scoreboard players set MrKheese modeMinigame 0
scoreboard players set MrKheese modeSellStock 0
scoreboard players set MrKheese modeVenture 0
scoreboard players set MrKheese ventureValue 0
scoreboard players set MrKheese settingBankrupt 0
scoreboard players set MrKheese settingVacant 0
scoreboard players set MrKheese modeBoard 0
scoreboard objectives remove yourTurn
scoreboard objectives add yourTurn dummy
scoreboard players set @a yourTurn 0
scoreboard players set @a carrot 0
scoreboard players set @a carrot2 0
#
# Redundant
#
title @a clear
forceload add 1050 40 950 -30
forceload add 56 56 -40 -40
clear @a
difficulty normal
weather clear
time set noon
gamemode adventure @a[gamemode=!spectator]
xp set @a 0 points
xp set @a[gamemode=!spectator] 1 levels
#
# Join Teams
#
team leave @a
team join player1 @r[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,gamemode=!spectator]
team join player2 @r[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,gamemode=!spectator]
team join player3 @r[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,gamemode=!spectator]
team join player4 @r[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,gamemode=!spectator]
team join player5 @r[team=!player1,team=!player2,team=!player3,team=!player4,team=!player5,gamemode=!spectator]
team join spectator @a[gamemode=spectator]
#
# Setup Game
#
fill 1055 96 47 944 98 -32 air replace water
fill 1055 99 47 944 101 -32 air replace water
function fortune:spawn_default
function fortune:spawn_characters
execute if block -5 247 17 redstone_block run function fortune:map_setup_1
execute if block -5 247 16 redstone_block run function fortune:map_setup_2
execute if block -5 247 15 redstone_block run function fortune:map_setup_3
execute if block -5 247 14 redstone_block run function fortune:map_setup_4
execute if block -5 247 13 redstone_block run function fortune:map_setup_5
execute if block -5 247 12 redstone_block run function fortune:map_setup_6
execute if block -5 247 11 redstone_block run function fortune:map_setup_7
execute if block -5 247 10 redstone_block run function fortune:map_setup_8
execute if block -5 247 9 redstone_block run function fortune:map_setup_9
function fortune:spaces_set_movement
execute as @a[team=player2] at @s run teleport @s ~-1 ~ ~
execute as @a[team=player3] at @s run teleport @s ~1 ~ ~
execute as @a[team=player4] at @s run teleport @s ~-2 ~ ~
execute as @a[team=player5] at @s run teleport @s ~2 ~ ~
execute if block -4 245 21 lever[powered=true] run scoreboard players operation MrKheese goalNetworth = MrKheese settingGoal
execute if block -4 245 21 lever[powered=true] run scoreboard players operation MrKheese goalNetworth *= MrKheese constant100
execute if block -4 245 21 lever[powered=true] run scoreboard players operation MrKheese goalNetworth *= MrKheese constant10
execute if block -4 245 22 lever[powered=true] run function fortune:setting_vacant_plot
execute if block -4 245 23 lever[powered=true] run scoreboard players set MrKheese settingBankrupt 1
execute as @e[type=text_display,tag=property,scores={spaceType=-1}] at @s run summon text_display ~ ~0.01 ~ {billboard:"fixed",see_through:0b,Rotation:[0F,-90F],Tags:["propVacantDisplay"]}
function fortune:spaces_display_non_property
function fortune:spaces_set_count
function fortune:spaces_update_property
execute if entity @e[type=text_display,tag=property,scores={spaceType=-1}] run function fortune:spaces_display_vacant_plot
function fortune:scoreboard_spawn_setup
function fortune:spaces_set_count
function fortune:scoreboard_update
function fortune:piece_visual_update_all
clone 0 243 26 0 243 26 0 245 26
tellraw @a [{"bold":false,"color":"#FFFFFF","text":"Be the first player to reach "},{"bold":true,"color":"#FFFFFF","text":"$"},{"bold":true,"color":"#FFFFFF","score":{"name":"MrKheese","objective":"goalNetworth"}},{"bold":false,"color":"#FFFFFF","text":" in networth"}]
item replace entity @a inventory.0 with suspicious_stew[custom_name='{"italic":false,"color":"red","text":"Quitter\'s Soup"}',lore=['{"color":"gray","italic":false,"text":"End the game for all players"}','{"color":"gray","italic":false,"text":"and return to the lobby."}'],suspicious_stew_effects=[{id:"minecraft:unluck",duration:20}]] 1
item replace entity @a[gamemode=!spectator] inventory.1 with spyglass[custom_name='{"italic":false,"text":"Reading Glasses"}'] 1
execute as @a[gamemode=!spectator] run function fortune:start_game_how_to_play
item replace entity @a[gamemode=!spectator] armor.feet with leather_boots[dyed_color={rgb:1118481,show_in_tooltip:false},custom_name='{"italic":false,"text":"Business Shoes"}',unbreakable={show_in_tooltip:false},attribute_modifiers=[{id:"4b433ce1-3dd2-447e-b1d8-0109e743369c",type:"movement_speed",amount:0.4,operation:"add_multiplied_total",slot:"feet"}]] 1
schedule function fortune:game_next_turn 30t
#
# Whoopsies
#
execute as @e[type=minecraft:text_display,tag=property] run data modify entity @s see_through set value 0b
execute as @e[type=minecraft:text_display,tag=property] at @s run teleport @s ~ ~0.01 ~
execute as @e[type=minecraft:text_display,tag=scoreboard] run data modify entity @s see_through set value 0b
execute as @e[type=minecraft:text_display,tag=scoreboard] at @s run teleport @s ~ ~ ~0.01