#
# General
#
effect give @a minecraft:weakness 1 0 true
effect give @a minecraft:resistance 2 4 true
effect give @a[scores={hunger=..19}] minecraft:saturation 1 0 true
gamemode adventure @a[gamemode=survival]
execute if score MrKheese actionDelay matches 1.. unless score MrKheese actionDelayPause matches 1.. run scoreboard players remove MrKheese actionDelay 1
execute if entity @a[nbt={active_effects:[{id:"minecraft:unluck"}]}] run function fortune:reset_game
execute if entity @e[type=armor_stand,tag=playerPiece,scores={playerCommission=1..},team=player1] at @e[tag=pieceVisual,team=player1,limit=1] run particle minecraft:electric_spark ~ ~1 ~ 0.3 0.3 0.5 0.01 2 force
execute if entity @e[type=armor_stand,tag=playerPiece,scores={playerCommission=1..},team=player2] at @e[tag=pieceVisual,team=player2,limit=1] run particle minecraft:electric_spark ~ ~1 ~ 0.3 0.3 0.5 0.01 2 force
execute if entity @e[type=armor_stand,tag=playerPiece,scores={playerCommission=1..},team=player3] at @e[tag=pieceVisual,team=player3,limit=1] run particle minecraft:electric_spark ~ ~1 ~ 0.3 0.3 0.5 0.01 2 force
execute if entity @e[type=armor_stand,tag=playerPiece,scores={playerCommission=1..},team=player4] at @e[tag=pieceVisual,team=player4,limit=1] run particle minecraft:electric_spark ~ ~1 ~ 0.3 0.3 0.5 0.01 2 force
execute if entity @e[type=armor_stand,tag=playerPiece,scores={playerCommission=1..},team=player5] at @e[tag=pieceVisual,team=player5,limit=1] run particle minecraft:electric_spark ~ ~1 ~ 0.3 0.3 0.5 0.01 2 force
execute as @e[type=text_display,tag=scoreboardFluxCash] at @s run teleport @s ~ ~-0.006 ~
execute if entity @e[type=armor_stand,tag=minigame,tag=main] run function fortune:minigame_tick
#
# Prevent Dropping Items
#
tag @e[type=item,tag=!noPickuped,nbt=!{Age:5999s},nbt=!{PickupDelay:0s},nbt=!{PickupDelay:32767s}] add blockPickup
execute as @e[type=item,tag=!noPickuped,tag=blockPickup] run data modify entity @s Owner set from entity @s Thrower
execute as @e[type=item,tag=!noPickuped,tag=blockPickup] run data modify entity @s Age set value 5996s
execute as @e[type=item,tag=!noPickuped,tag=blockPickup] run data modify entity @s PickupDelay set value 0s
tag @e[type=item,tag=!noPickuped,tag=blockPickup] add noPickuped
#
# Player Use Detection
#
execute if entity @a[nbt={active_effects:[{id:"minecraft:luck"}]}] run function fortune:tick_check_luck
execute if entity @a[scores={carrot2=1..}] run function fortune:select_property
execute if entity @e[type=armor_stand,tag=investment] run function fortune:invest_tick
execute if entity @e[type=text_display,tag=visualSelectedFlash] run function fortune:select_flash_tick
#
# Piece Movement
#
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,scores={playerRoll=1..}] if score MrKheese actionDelay matches 1 run function fortune:piece_move
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,scores={playerRoll=0..}] if score MrKheese actionDelay matches 4 run function fortune:piece_move_pass
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,scores={playerRoll=0..}] if score MrKheese actionDelay matches 6 at @e[type=armor_stand,tag=playerPiece,tag=yourTurn,scores={playerRoll=0..},limit=1] unless entity @n[type=text_display,tag=property,distance=..1] run function fortune:piece_move_panic
execute if entity @e[type=armor_stand,tag=playerPiece,tag=yourTurn,scores={playerRoll=0}] if score MrKheese actionDelay matches 1 run function fortune:piece_move_land